<template>
  <main v-if="productItems.length" class="content">
    <div class="product-list row">
      <div
        v-for="product in productItems"
        :key="product.id"
        class="col-6 col-lg-4 col-xl-3"
      >
        <product-card v-bind="product" @save="removeProduct" />
      </div>
    </div>
  </main>
</template>

<script>
import ProductCard from '@/components/product/ProductCard.vue'
export default {
  name: 'UserFavoritePage',
  components: {
    ProductCard,
  },
  layout: 'user',
  async asyncData({ store }) {
    await store.dispatch('products/fetchSaved')
    return {
      productItems: store.getters['products/savedProducts'],
    }
  },
  head() {
    return {
      title: this.$route.meta,
    }
  },
  methods: {
    removeProduct(id) {
      this.productItems = this.productItems.filter((product) => {
        return product.id !== id
      })
    },
  },
}
</script>

<style lang="less" src="@/assets/style/pages/cabinet/index.less"></style>
